Bug 11684 - Directory copy fails with access denied
Directory copy fails with access denied
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 08:14 UTC by Ralph Böhme
Modified: 2016-02-02 10:52 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.2 and 4.3, cherry-picked from master (5.08 KB, patch)
2016-01-25 08:59 UTC, Ralph Böhme
jra: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2016-01-21 08:14:26 UTC
Reportedly, copying data from a Win 7 client's CD drive to a Samba share can fail.

It turns out the Windows client sends a directory creation request with an initial allocation size > 0 which is currently rejected in create_file_unixpath() with NT_STATUS_ACCESS_DENIED.

Windows behaviour is to allow the directory creation, ignoring the allocation size.

Patch to follow-up.
Comment 1 Ralph Böhme 2016-01-25 08:59:27 UTC
Created attachment 11786 [details]
Patch for 4.2 and 4.3, cherry-picked from master
Comment 2 Ralph Böhme 2016-01-25 12:34:42 UTC
Re-assigning to Karolin for inclusion in 4.2 and 4.3.
Comment 3 Karolin Seeger 2016-01-26 08:48:43 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-[2|3]-test.
Comment 4 Karolin Seeger 2016-02-02 10:52:14 UTC
Pushed to both branches.
Closing out bug report.

Thanks!